#version 450

layout(location = 0) in vec3 inPosition;

layout(binding = 0) uniform UniformBuffer {
    mat4 projection;
    mat4 view;
    mat4 inverseView;
    float lodBias;
} uniformBuffer;

layout(location = 0) out vec3 outTexCoord;

void main()
{
    vec4 pos = uniformBuffer.projection * uniformBuffer.view * vec4(inPosition, 1.0);
    gl_Position = pos.xyww;

    outTexCoord = inPosition;
}